Subject: bug#18444: 24.3.93; Error running timer 'compilation-auto-jump' from grep-mode

From: Martin Apel <[email-masked]>
Date: Thu, 11 Sep 2014 09:06:26 +0200

Hi Glenn,

thanks for the feedback. I think it used to work in older versions 
somehow, but anyway I found a workaround
by adding the following to my .init.el file:
(add-hook 'grep-mode-hook
           (lambda()
             (kill-local-variable 'compilation-auto-jump-to-next))
           )

Martin

On 10/09/14 21:09, Glenn Morris wrote:
> Martin Apel wrote:
>
>> To reproduce the bug, perform the following steps:
>> emacs -Q
>> Customize compilation-auto-jump-to-first-error to enabled
>> M-x rgrep for an arbitrary string in an arbitrary directory
>> This results in the following error message:
>>
>> Error running timer `compilation-auto-jump': (error "No grep hit here")
> I think it has never worked, the only thing that is new is that the
> error message from the timer is no longer silently discarded.
> (Should that be mentioned in NEWS?)